%define name	pan
%define version 0.14.0
%define release 1

Summary:   The Pan Newsreader
Name:      %{name}
Version:   %{version}
Release:   %{release}
Copyright: GPL
Group:     Applications/Internet
URL:       http://pan.rebelbase.com/
Source:    http://pan.rebelbase.com/download/releases/%{version}/SOURCE/%{name}-%{version}.tar.bz2
Packager:  Charles Kerr <charles@rebelbase.com>
Vendor:    ChimPanXi
Epoch:     1

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel >= 2.0.4
BuildRequires: gtk2-devel >= 2.0.5
BuildRequires: libxml2-devel >= 2.4.22
BuildRequires: gnet-devel >= 1.1.5
BuildRequires: gtkspell >= 2.0.2

Requires: glib2 >= 2.0.4
Requires: gtk2 >= 2.0.5
Requires: pango >= 1.0.5
Requires: libxml2 >= 2.4.22
Requires: gnet >= 1.1.5
Requires: gtkspell >= 2.0.2

Provides: %{name}

%description
Pan is a newsreader, loosely based on Agent and Gravity, which attempts
to be pleasant to use for new and advanced users alike. It has all the
typical features found in newsreaders and also supports offline newsreading,
sophisticated filtering, multiple connections, and a number of extra features
for power users and alt.binaries fans.  It's also the only Unix newsreader
to get a perfect score on the Good Net-Keeping Seal of Approval evalutions.
See http://pan.rebelbase.com/features/ for the whole sales pitch.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
%build
%configure --program-prefix=""
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s
%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog README ANNOUNCE.html
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/gnome/apps/Internet/%{name}.desktop
%{_datadir}/pixmaps/*


%changelog
 
* Sat Dec 6 2002 Charles Kerr <charles@rebelbase.com>
- Added pango requirement for 1.0.5 or higher.

* Sat Dec 4 2002 Charles Kerr <charles@rebelbase.com>
- Replaced ANNOUNCE with ANNOUNCE.html.
 
* Sat Oct 10 2002 Christophe Lambin <clambin@easynet.be>
- Removed NEWS, since we maintain ANNOUNCE instead.

* Sat Aug 25 2002 Christophe Lambin <clambin@easynet.be>
- Bumped gtkspell requirement to 2.0.2.

* Sat Aug 18 2002 Christophe Lambin <clambin@easynet.be>
- Restrict to gtkspell 2.0.0 until 2.0.2 comes out.

* Wed Jul 10 2002 Christophe Lambin <clambin@easynet.be>
- Added gtkspell.

* Sat May 1 2002 Christophe Lambin <clambin@easynet.be>
- Added gtk2 dependencies.
- %configure option to avoid creating execs like 'iX86-distro-linux-pan'.

* Sat Apr 6 2002 Christophe Lambin <clambin@easynet.be>
- removed explicit copy of gettext's Makefile.in.in to support gettext 0.11.x.

* Sat Sep 22 2001 Charles Kerr <charles@rebelbase.com>
- Added gdk-pixbuf and -devel to Requires and BuildRequires
- Updated gtk/glib and -devel requirements

* Sat Aug 18 2001 Christophe Lambin <clambin@easynet.be>
- fixes for RH 7.1 + Ximian Gnome 1.4
- allow single tarball to be used for both pan & pan-images
- use gettext 0.10.35's Makefile.in.in for po since it gives us DESTDIR

* Thu Aug 9 2001 Charles Kerr <charles@rebelbase.com>
- removed some dependencies that are better left implicit

* Mon Apr 23 2001 Charles Kerr <charles@rebelbase.com>
- merged in improvements from rh, mdk, and polish versions of pan.spec

* Sun Jun 25 2000 Charles Kerr <charles@rebelbase.com>
- added Vendor
- updated the description to match the README desc & FAQ

* Mon Jan 24 2000 Simon Piette
- changed the build section to allow building RPMS on non-x86 archs

* Sun Dec 12 1999 Jason Leach <leach@wam.umd.edu>
- changed the Summary string
- updated the description to match the README desc

* Wed Dec 1 1999 Charles Kerr <charles@rebelbase.com>
- added "-ggdb3" to CFLAGS so that it'll be easier to read backtraces
  submitted in bug reports

* Thu Nov 4 1999 Jason Leach <leach@wam.umd.edu>
- added gtk+-1.2.6 requirement (1.2.3 definitely breaks, might as well
  make it newest gtk+)

* Tue Nov 2 1999 Jason Leach <leach@wam.umd.edu>
- made .spec.in file to auto-generate .spec

* Sat Sep 25 1999 Leland Elie <lelie@airmail.net>
- created spec file.
